Package uk.ac.starlink.util

# Interface Cleaner.Cleanable

Enclosing class:
  `Cleaner`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface Cleaner.Cleanable
Cleanable represents an object and a cleaning action registered in a Cleaner.

## Method Summary

Modifier and Type
Method
Description
`void`
`clean()`
Unregisters the cleanable and invokes the cleaning action.

## Method Details

### clean

void clean()
Unregisters the cleanable and invokes the cleaning action.